package ${code.packageName}.entity;

<#list code.propertys as property>
    <#if property.type = 'Date'>
import java.util.Date;
        <#break>
    </#if>
</#list>
<#if code.parentName = "BaseBean">import com.inkasso.adapter.bean.BaseBean;</#if>
<#if code.parentName = "RelationBaseBean">import com.inkasso.adapter.bean.RelationBaseBean;</#if>
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author ${code.author}
* @date  ${.now?string('yyyy-MM-dd')}
*/
@Getter
@Setter
@TableName("${code.tableName}")
<#if code.parentName = "BaseBean">
public class ${code.className}DO extends BaseBean {

    private static final long serialVersionUID = 1L;

    <#list code.propertys as property>
    <#if property.name = 'create_user_id' || property.name= 'create_user_name' || property.name= 'create_time' || property.name= 'update_user_id' || property.name= 'update_user_name' || property.name= 'update_time' || property.name= 'delete_flag' || property.name= 'version'>
    <#continue>
    </#if>
    /**
    * ${property.label}
    */
    <#if property.type = 'Text'>
    @TableField("${property.name}")
    private String ${property.name};
    <#elseif property.type= 'bigint'>
    @TableField("${property.name}")
    private Long ${property.name};
    <#else>
    @TableField("${property.name}")
    private ${property.type} ${property.name};
    </#if>
    </#list>

}
</#if>
<#if code.parentName = "RelationBaseBean">
public class ${code.className}DO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;

    <#list code.propertys as property>

    <#if property.name = 'create_user_id' || property.name= 'create_user_name' || property.name= 'create_time' || property.name= 'update_user_id' || property.name= 'update_user_name' || property.name= 'update_time' || property.name= 'delete_flag' || property.name= 'version'>
    <#continue>
    </#if>
    /**
    * ${property.label}
    */
    <#if property.type = 'Text'>
    @TableField("${property.name}")
    private String ${property.name};
    <#else>

    @TableField("${property.name}")
    private ${property.type} ${property.name};
    </#if>
    </#list>

}
</#if>