package ${code.packageName}.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.adapter.service.KafubaoService;
import ${code.packageName}.entity.${code.className}DO;
import ${code.packageName}.model.dto.${code.className}DTO;
import ${code.packageName}.model.request.Add${code.className}Request;
import ${code.packageName}.model.request.Edit${code.className}Request;

/**
* @author ${code.author}
* @date  ${.now?string('yyyy-MM-dd')}
*/
<#if code.parentName = "BaseBean">
  public interface ${code.className}Service extends KafubaoService<${code.className}DO,${code.className}DTO> {

  /**
  * 添加操作
  * @param add${code.className}Request
  */
  void add${code.className}(Add${code.className}Request add${code.className}Request);


  /**
  * 编辑操作
  * @param edit${code.className}Request
  */
  void edit${code.className}(Edit${code.className}Request edit${code.className}Request);

  /**
  * 通过id获取详细信息
  * @param id
  */
    ${code.className}DTO get${code.className}DtoById(Long id);

  /**
  * 删除demo
  */
  void delete${code.className}(Long id);
  }
</#if>
<#if code.parentName = "RelationBaseBean">
  public interface ${code.className}Service extends IService<${code.className}DO> {

  /**
  * 添加操作
  * @param add${code.className}Request
  */
  void add${code.className}(Add${code.className}Request add${code.className}Request);


  /**
  * 编辑操作
  * @param edit${code.className}Request
  */
  void edit${code.className}(Edit${code.className}Request edit${code.className}Request);

  /**
  * 通过id获取详细信息
  * @param id
  */
    ${code.className}DTO get${code.className}DtoById(Long id);

  /**
  * 删除
  */
  void delete${code.className}(Long id);
}
</#if>

