package com.inkasso.auth.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author 张超
 * @date 2021/11/2
 */
@EnableConfigurationProperties
@ConfigurationProperties(prefix = "kafubao.not-login")
@Component
@Data
public class NotLoginUrl {

   private List<String> url;
}
