package com.inkasso.factoring.acceptanceManagement.service;

import com.inkasso.auth.response.ResponseJson;
import com.inkasso.factoring.acceptanceManagement.entity.CAcceptancePriceAdjustInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 验收单单价调整表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
public interface ICAcceptancePriceAdjustInfoService extends IService<CAcceptancePriceAdjustInfo> {


    CAcceptancePriceAdjustInfo getDetail(Long acceptanceBasicId);

    /**
     * 提交
     * @param adjustInfo
     */
    ResponseJson doAdjust(CAcceptancePriceAdjustInfo adjustInfo);


}
