package com.inkasso.factoring.businessConsulting.entity;

import java.util.Date;

import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author liutao
* @date  2024-03-30
*/
@Getter
@Setter
@TableName("c_business_consulting")
public class BusinessConsultingDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 企业名称
    */

    @TableField("enterprice_cn")
    private String enterpriceCn;

    /**
    * 联系人
    */

    @TableField("contact_name")
    private String contactName;

    /**
    * 联系人职务
    */

    @TableField("contact_post")
    private String contactPost;

    /**
    * 工作邮箱
    */

    @TableField("email")
    private String email;

    /**
    * 手机号（大陆)
    */

    @TableField("phone_number")
    private String phoneNumber;

    /**
    * 企业类型
    */

    @TableField("enterprise_type")
    private String enterpriseType;

    /**
    * 主营品类
    */

    @TableField("main_categories")
    private String mainCategories;

    /**
    * 年销售额（万元）
    */

    @TableField("annual_sales_revenue")
    private String annualSalesRevenue;

    /**
    * 主要客户
    */

    @TableField("main_customers")
    private String mainCustomers;

    /**
    * 预估账期
    */

    @TableField("estimated_accounting_period")
    private String estimatedAccountingPeriod;

    /**
    * 应收余额（万元）
    */

    @TableField("accounts_receivable_balance")
    private String accountsReceivableBalance;

    /**
    * 信息内容
    */

    @TableField("info_content")
    private String infoContent;

    /**
    * 创建时间
    */

    @TableField("gmt_create")
    private Date gmtCreate;

}
