package com.inkasso.factoring.businessConsulting.model.dto;

import java.util.Date;
import lombok.Data;

/**
* @author liutao
* @date  2024-03-30
*/
@Data
public class BusinessConsultingDTO {

    private Long id;

    /**
    *企业名称
    */
    private String enterpriceCn;
    /**
    *联系人
    */
    private String contactName;
    /**
    *联系人职务
    */
    private String contactPost;
    /**
    *工作邮箱
    */
    private String email;
    /**
    *手机号（大陆)
    */
    private String phoneNumber;
    /**
    *企业类型
    */
    private String enterpriseType;
    /**
    *主营品类
    */
    private String mainCategories;
    /**
    *年销售额（万元）
    */
    private String annualSalesRevenue;
    /**
    *主要客户
    */
    private String mainCustomers;
    /**
    *预估账期
    */
    private String estimatedAccountingPeriod;
    /**
    *应收余额（万元）
    */
    private String accountsReceivableBalance;
    /**
    *信息内容
    */
    private String infoContent;
    /**
    *创建时间
    */
    private Date gmtCreate;

}
