package com.inkasso.factoring.code.service;

import com.inkasso.factoring.code.model.DataSourceDTO;
import com.inkasso.factoring.code.model.PropertyDTO;
import com.inkasso.factoring.code.model.TableDTO;

import java.util.List;


public interface EntityGenerateService {
	
	/**
	 * @description 获取数据源
	 * @return
	 */
	List<DataSourceDTO> getDataSources();
	
	/**
	 * @description 根据数据源获取所有表
	 * @return
	 */
	List<TableDTO> getTablesByDataSource(String dataSource);
	
	/**
	 * @description 根据表
	 * @return
	 */
	List<PropertyDTO> getColumnsByTableAndDataSource(String tableName, String dataSource);
}
