package com.inkasso.factoring.creditmanagement.service;

import com.inkasso.factoring.creditmanagement.entity.DueDiligenceAppointment;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 线下尽调预约 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
public interface IDueDiligenceAppointmentService extends IService<DueDiligenceAppointment> {

    /**
     * 线下尽调预约
     * @param dueDiligenceAppointment
     */
    void offlineDueDiligenceAppointment(DueDiligenceAppointment dueDiligenceAppointment);

    /**
     * 获取非建工企业 线下尽调预约信息
     * @param id
     * @return
     */
    DueDiligenceAppointment getOfflineDueDiligenceAppointment(Long id);
}
