package com.inkasso.factoring.dict.model.request;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-10
*/
@Getter
@Setter
public class EditDictionaryRequest {

    @NotNull
    private Long id;
    /**
    * 字典名称
    */
    @Size(max=255,message="字典名称长度不能超过{max}位")
    private String name;
    /**
    * 字典code
    */
    @Size(max=255,message="字典code长度不能超过{max}位")
    private String code;
    /**
    * 父id
    */
    private Long parent_id;
    /**
    * 排序
    */
    private Integer sort;

}
