package com.inkasso.factoring.dict.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Getter;
import lombok.Setter;

/**
* @author 张超
* @date  2023-08-10
*/
@Getter
@Setter
public class QueryDictionaryRequest extends PageQuery {

        /**
        *字典名称
        */
        @Equals
        private String name;
        /**
        *字典code
        */
        @Equals
        private String code;
        /**
        *父id
        */
        @Equals
        private Long parentId;
        /**
        *排序
        */
        @Equals
        private Integer sort;
}
