package com.inkasso.factoring.file.model.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

@Data
public class FileStorageDTO {

  @JsonIgnore
  private String  storageType;


  private Long id;


  //文件原始名称
  @JsonIgnore
  private  String  originalName;

  //访问路径
  private String  path;

  //绝对路径
  @JsonIgnore
  private String absolutePath;

  //文件类型
  @JsonIgnore
  private String type;

  //大小  kb
  @JsonIgnore
  private Long size;

  //绑定的业务id
  @JsonIgnore
  private String businessId;

  //绑定的业务类型
  private String businessType;

}
