package com.inkasso.factoring.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.common.dict.impl.FileModuleDict;
import com.inkasso.factoring.file.entity.FileStorage;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * 文件存储service
 */
public interface FileStorageService extends IService<FileStorage> {


  /**
   * 给文件夹中重名的文件重命名
   *
   * @param fileStorageList
   */
  void renameFileStorageList(List<FileStorage> fileStorageList);


  void downloadZipFile(List<FileStorage> fileStorageList, String name,
      HttpServletResponse response);

}
