package com.inkasso.factoring.financingmanagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.financingmanagement.entity.CFinancingGoodsInfo;

import java.util.List;

/**
 * <p>
 * 融资申请-货物信息表 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
public interface ICFinancingGoodsInfoService extends IService<CFinancingGoodsInfo> {

    /**
     * 根据验收单id获取底层货物
     *
     * @param acceptanceBasicInfoId
     * @return
     */
    List<CFinancingGoodsInfo> listByAcceptanceId(Long acceptanceBasicInfoId);
}
