package com.inkasso.factoring.financingmanagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.financingmanagement.entity.SysCustomer;

/**
 * <p>
 * 企业信息管理表 服务类
 * </p>
 *
 * @author liutao
 * @since 2022-06-20
 */
public interface ISysCustomerService extends IService<SysCustomer> {

    /**
     * 认证回调
     * @param customerId
     */
    void doAuthBack(String customerId);

    /**
     * 签署回调
     * @param contractId
     * @param transactionId
     */
    void doSignBack(String contractId, String transactionId);
}
