package com.inkasso.factoring.financingmanagement.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.inkasso.factoring.financingmanagement.entity.CFinancingGoodsInfo;
import com.inkasso.factoring.financingmanagement.dao.CFinancingGoodsInfoMapper;
import com.inkasso.factoring.financingmanagement.service.ICFinancingGoodsInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 融资申请-货物信息表 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@Service
public class CFinancingGoodsInfoServiceImpl extends ServiceImpl<CFinancingGoodsInfoMapper, CFinancingGoodsInfo>
        implements ICFinancingGoodsInfoService {

    @Override
    public List<CFinancingGoodsInfo> listByAcceptanceId(Long acceptanceBasicInfoId) {
        return baseMapper.listByAcceptanceId(acceptanceBasicInfoId);
    }
}
