package com.inkasso.factoring.invoicemanage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.invoicemanage.entity.InvoiceBasicInfo;
import com.inkasso.factoring.invoicemanage.entity.InvoiceGoodsInfo;
import com.inkasso.factoring.invoicemanage.model.request.SearchBusiness;
import com.inkasso.factoring.invoicemanage.model.request.SearchGoodsVo;
import com.inkasso.factoring.settlement.entity.SettlementBasicInfo;
import com.inkasso.factoring.settlement.entity.SettlementGoodsInfo;
import com.inkasso.factoring.settlement.model.dto.BusinessProcessingTaskDTO;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author : liutao
 * @Date: 2022-3-22
 */
@Mapper
public interface InvoiceBasicInfoMapper extends BaseMapper<InvoiceBasicInfo> {

    List<BusinessProcessingTaskDTO> findAllList(SearchBusiness searchBusiness);

    List<SettlementBasicInfo> saleSelectSettlementOfPayment(SearchGoodsVo searchGoodsVo);

    List<InvoiceGoodsInfo> saleSelectSettlementOfPaymentGoods(String businessNumber);

    List<SettlementGoodsInfo> saleSelectGoodsOfDiscount(String businessNumber);
}
