package com.inkasso.factoring.ledgermanagement.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.ledgermanagement.entity.LedgerAccountBasicInfo;
import com.inkasso.factoring.ledgermanagement.entity.vo.GoodsAssignVo;
import com.inkasso.factoring.settlement.entity.SearchBusiness;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author liutao
 * @date 2021.11.11
 */
@Mapper
public interface LedgerAccountBasicInfoMapper extends BaseMapper<LedgerAccountBasicInfo> {

    /**
     * 列表页查询
     *
     * @param search
     * @return
     */
    List<LedgerAccountBasicInfo> findAll(SearchBusiness search);

    /**
     * 货物分配详情查询
     *
     * @param id
     * @param supplierId
     * @return
     */
    List<GoodsAssignVo> findAssignList(@Param("id") Long id, @Param("supplierId") Long supplierId);
}
