package com.inkasso.factoring.ledgermanagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.common.entity.GridPage;
import com.inkasso.factoring.ledgermanagement.entity.LedgerAccountBasicInfo;
import com.inkasso.factoring.ledgermanagement.entity.vo.LedgerAccountInfoVo;
import com.inkasso.factoring.settlement.entity.SearchBusiness;

/**
 * @author liutao
 * @date 2021.11.11
 */
public interface LedgerAccountBasicInfoService extends IService<LedgerAccountBasicInfo> {

    /**
     * 列表页查询
     *
     * @param search
     * @return
     */
    GridPage<LedgerAccountBasicInfo> list(SearchBusiness search);

    /**
     * 分账查看
     *
     * @param id
     * @return
     */
    LedgerAccountInfoVo getView(Long id, Long supplierId);
}
