package com.inkasso.factoring.org.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.RelationBaseBean;
import lombok.Getter;
import lombok.Setter;


/**
* @author liutao
* @date  2023-09-07
*/
@Getter
@Setter
@TableName("t_org")
public class OrgDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 父级组织机构id
    */

    @TableField("parentId")
    private Long parentId;

    /**
    * 组织机构类型id
    */

    @TableField("orgTypeId")
    private Long orgTypeId;

    /**
    * 组织机构级别id
    */

    @TableField("orgLevelId")
    private Long orgLevelId;

    /**
    * 名称
    */

    @TableField("name")
    private String name;

    /**
    * 组织机构编码
    */

    @TableField("deptCode")
    private String deptCode;

    /**
    * 内置编码
    */

    @TableField("internalCode")
    private String internalCode;

    /**
    * 子组织机构最大数
    */

    @TableField("subCountMax")
    private Integer subCountMax;

    /**
    * 子组织机构数
    */

    @TableField("subCount")
    private Integer subCount;

    /**
    * 显示顺序
    */

    @TableField("gradation")
    private Integer gradation;

    /**
    * 简拼
    */

    @TableField("simplePinYin")
    private String simplePinYin;

    /**
    * 全拼
    */

    @TableField("fullPinYin")
    private String fullPinYin;

    /**
    * 备注
    */

    @TableField("remark")
    private String remark;

}
