package com.inkasso.factoring.org.service;

import com.inkasso.adapter.service.KafubaoService;
import com.inkasso.factoring.org.entity.ClickLogDO;
import com.inkasso.factoring.org.model.dto.ClickLogDTO;
import com.inkasso.factoring.org.model.request.AddClickLogRequest;
import com.inkasso.factoring.org.model.request.EditClickLogRequest;

/**
* @author 
* @date  2023-10-13
*/
  public interface ClickLogService extends KafubaoService<ClickLogDO, ClickLogDTO> {

  /**
  * 添加操作
  * @param addClickLogRequest
  */
  void addClickLog(AddClickLogRequest addClickLogRequest);


  /**
  * 编辑操作
  * @param editClickLogRequest
  */
  void editClickLog(EditClickLogRequest editClickLogRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    ClickLogDTO getClickLogDtoById(Long id);

  /**
  * 删除demo
  */
  void deleteClickLog(Long id);
  }

