package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 采购合同-补充电子合同信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-15
 */
@TableName("c_purch_contract_supplement_electronic_info")
public class CPurchContractSupplementElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购补充合同信息表Id
     */
    @TableField("c_purch_contract_supplement_info_id")
    private Long cPurchContractSupplementInfoId;

    /**
     * 认证链接
     */
    @TableField("certify_link")
    private String certifyLink;

    /**
     * 认证状态
     */
    @TableField("certify_status")
    private Boolean certifyStatus;

    /**
     * 合同链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 签署状态
     */
    @TableField("sign_status")
    private Boolean signStatus;

    /**
     * 签署短链接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 签署短链接创建时间
     */
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同名称
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 二网在法大大上的客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 是否回调 0 未回调 1 回调
     */
    @TableField("call_back")
    private Integer callBack;

    public Long getcPurchContractSupplementInfoId() {
        return cPurchContractSupplementInfoId;
    }

    public void setcPurchContractSupplementInfoId(Long cPurchContractSupplementInfoId) {
        this.cPurchContractSupplementInfoId = cPurchContractSupplementInfoId;
    }

    public String getCertifyLink() {
        return certifyLink;
    }

    public void setCertifyLink(String certifyLink) {
        this.certifyLink = certifyLink;
    }

    public Boolean getCertifyStatus() {
        return certifyStatus;
    }

    public void setCertifyStatus(Boolean certifyStatus) {
        this.certifyStatus = certifyStatus;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public Boolean getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Boolean signStatus) {
        this.signStatus = signStatus;
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public Integer getCallBack() {
        return callBack;
    }

    public void setCallBack(Integer callBack) {
        this.callBack = callBack;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    @Override
    public String toString() {
        return "CPurchContractSupplementElectronicInfo{" +
                ", cPurchContractSupplementInfoId=" + cPurchContractSupplementInfoId +
                ", certifyLink=" + certifyLink +
                ", certifyStatus=" + certifyStatus +
                ", contractLink=" + contractLink +
                ", signStatus=" + signStatus +
                ", shortContractLink=" + shortContractLink +
                ", shortContractLinkCreate=" + shortContractLinkCreate +
                ", transactionId=" + transactionId +
                ", contractName=" + contractName +
                ", contractId=" + contractId +
                ", callBack=" + callBack +
                "}";
    }
}
