package com.inkasso.factoring.purchManagement.service;

import com.inkasso.factoring.purchManagement.entity.CPurchContractSignConclusion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.purchManagement.entity.vo.PurchUnderlineVo;
import org.springframework.ui.Model;

import java.util.List;

/**
 * <p>
 * 采购合同 合同的签署结论 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
public interface ICPurchContractSignConclusionService extends IService<CPurchContractSignConclusion> {


    /**
     * 签署页面
     * @param taskId
     * @param businessKey
     * @return
     */
    Object signPage(Long businessKey);


    /**
     * 签署确认
     * @param purchContractSignConclusion
     */
    void sign(CPurchContractSignConclusion purchContractSignConclusion);

}
