package com.inkasso.factoring.purchManagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.auth.response.ResponseJson;
import com.inkasso.factoring.purchManagement.entity.PurchSupplementContractSignConclusion;
import org.springframework.ui.Model;

import java.io.IOException;

/**
 * <p>
 * 采购合同 合同的签署结论 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-03-28
 */
public interface IPurchSupplementContractSignConclusionService extends IService<PurchSupplementContractSignConclusion> {

    void sign(PurchSupplementContractSignConclusion purchSupplementContractSignConclusion) throws IOException;

    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    PurchSupplementContractSignConclusion getView(Long id);

    Object getDetail(Long businessKey);


}
