package com.inkasso.factoring.salesManagement.dao;

import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementGoodsInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 销售合同变更-货物信息表 Mapper 接口
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface CSalesContractSupplementGoodsInfoMapper extends BaseMapper<CSalesContractSupplementGoodsInfo> {

    List<CSalesContractSupplementGoodsInfo> getGoodsInfosWithSupplementGoods(@Param("managementId") Long salesContractManagementId, @Param("basicId") Long salasContractBasicId);


}
