package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementBasicInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 销售合同变更基础信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesContractSupplementBasicInfoService extends IService<CSalesContractSupplementBasicInfo> {

    /**
     * 变更录入页面
     * @param salesContractManagementId
     * @return
     */
    CSalesContractSupplementBasicInfo add(Long salesContractManagementId);

    /**
     * 变更录入页面
     * @param salesContractManagementId
     * @return
     */
    CSalesContractSupplementBasicInfo getView(Long salesContractManagementId);

    /**
     * 变更提交
     * @param supplementBasicInfo
     */
    void doAdd(CSalesContractSupplementBasicInfo supplementBasicInfo);

}
