package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementGoodsInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 销售合同变更-货物信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesContractSupplementGoodsInfoService extends IService<CSalesContractSupplementGoodsInfo> {

    /**
     * 获取所有货物信息，包含采购合同货物信息及变更合同货物信息
     * @return
     */
    List<CSalesContractSupplementGoodsInfo> getGoodsInfosWithSupplementGoods(Long salesContractManagementId, Long salasContractBasicId);

}
