package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesSignConfirmation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.salesManagement.entity.vo.SalesSignConfirmVo;

/**
 * <p>
 * 销售合同销售-签署确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesSignConfirmationService extends IService<CSalesSignConfirmation> {

    CSalesSignConfirmation add(Long cSalesContractManagementId);

    /**
     * 签署确认-提交
     * @param salesSignConfirmation
     */
    void doAdd(CSalesSignConfirmation salesSignConfirmation);

    /**
     * 查看历史
     * @param cSalesContractManagementId
     * @return
     */
    Object getView(Long cSalesContractManagementId);

}
