package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesSignConfirmation;
import com.inkasso.factoring.salesManagement.entity.CSalesSupplementSignConfirmation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.salesManagement.entity.vo.SalesSignConfirmVo;

/**
 * <p>
 * 销售合同变更-签署确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesSupplementSignConfirmationService extends IService<CSalesSupplementSignConfirmation> {

    /**
     * 新增
     * @param cSalesContractManagementId
     * @return
     */
    CSalesSupplementSignConfirmation add(Long cSalesContractManagementId);

    /**
     * 签署确认-提交
     * @param supplementSignConfirmation
     */
    void doAdd(CSalesSupplementSignConfirmation supplementSignConfirmation);

    /**
     * 新增
     * @param cSalesContractManagementId
     * @return
     */
    Object getView(Long id);

}
