package com.inkasso.factoring.salesManagement.service.impl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.factoring.common.util.ElectronicSignatureUtil;
import com.inkasso.factoring.file.service.FileService;
import com.inkasso.factoring.salesManagement.entity.CSalesSignConfirmationElectronicInfo;
import com.inkasso.factoring.salesManagement.dao.CSalesSignConfirmationElectronicInfoMapper;
import com.inkasso.factoring.salesManagement.service.ICSalesSignConfirmationElectronicInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 销售合同-签署确认合同信息 服务实现类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@Service
public class CSalesSignConfirmationElectronicInfoServiceImpl extends ServiceImpl<CSalesSignConfirmationElectronicInfoMapper,
        CSalesSignConfirmationElectronicInfo> implements ICSalesSignConfirmationElectronicInfoService {
}
