package com.inkasso.factoring.settlement.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.settlement.entity.SearchBusiness;
import com.inkasso.factoring.settlement.entity.SettlementBasicInfo;
import com.inkasso.factoring.settlement.model.dto.BusinessProcessingTaskDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author liutao
 * @date 2021.09.22
 */
@Mapper
public interface SettlementBasicInfoMapper extends BaseMapper<SettlementBasicInfo> {
    /**
     * 根据id查询所需数据 流程控制反射调用
     *
     * @param id
     * @return
     */
    SettlementBasicInfo getListPage(Long id);

    List<BusinessProcessingTaskDTO> findAllList(SearchBusiness search);

    /**
     * 查询我已处理的验收单
     *
     * @param search
     * @return
     */
//    List<BusinessProcessingTaskVo> findMyCompletedList(SearchBusinessProcessingTask search);

    /**
     * 查询我的全部验收单
     *
     * @param search
     * @return
     */
//    List<BusinessProcessingTaskVo> findAllList(SearchBusinessProcessingTask search);

    /**
     * 查询结算单关联分账信息
     *
     * @param ledgerAccountBasicInfoId
     * @return
     */
//    List<BillGoodsInfoVo> findRelationLedgerInfo(@Param("ledgerAccountBasicInfoId") Long ledgerAccountBasicInfoId);

    /**
     * 供应商登录查看全部
     * @param search
     * @return
     */
//    List<BusinessProcessingTaskVo> findAllListSupplier(SearchBusinessProcessingTask search);

}
