package com.inkasso.factoring.settlement.model.request;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class BillSignRequest {

    @NotNull(message = "缺失参数")
    private String electronicInfoId;

    @NotNull(message = "缺失参数")
    private String taskId;
    private String basicId;

    /**
     * 签署意见
     */
    private String signComment;

    /**
     * '签署结论
     */
    @NotNull(message = "请选择审核结论")
    private String signConclusion;
}
