package com.inkasso.factoring.settlement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.settlement.entity.SettlementElectronicInfo;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author liutao
 * @date 2022.3.16
 */

public interface SettlementElectronicInfoService extends IService<SettlementElectronicInfo> {
    /**
     * 签署成功回调的后续操作
     * @param settlementElectronicInfo
     * @param taskId
     */
    void sign(SettlementElectronicInfo settlementElectronicInfo, String taskId);

    void updateShortUrl(Date date);
}
