package com.inkasso.factoring.system;

/**
 * @Description 常用系统变量
 * @author 江静
 * @date 2016年8月11日 上午11:50:49
 * @version 1.0
 */
public class SystemVariable {

    /** cookie中sid */
    public final static String COOKIESID = "FactoringSid";
    /** cookie失效时间(秒) */
    public final static int cookieExpiry = 60 * 60 * 24 * 7;// 7天
    /** session超时时间(秒) */
    public final static long SESSION_OUT_TIME = 48 * 60 * 60;// 正式时间 48小时：48 * 60 * 60
    // public final static long SESSION_OUT_TIME = 30 * 60;// 正式时间 30分钟
    // public final static long SESSION_OUT_TIME = 30;// 测试失效时间 20秒
    /** sessionKey */
    public final static String SESSION_KEY = "session_key";
    /** 用户Key */
    public final static String USER_KEY = "user_key";
    /** 未登录url */
    public final static String NOT_LOGIN_URL = "/authority/goLogin";
}
