package com.inkasso.factoring.system.department.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.system.department.entity.Department;
import com.inkasso.factoring.system.department.vo.DepartmentVo;

import java.util.List;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2024-01-23 11:51
 */
public interface IDepartmentService extends IService<Department> {

    /**
     * 省市区行政区划查询
     */
    List<DepartmentVo> findAll(Boolean flag);
}
