package com.inkasso.factoring.system.message.model.dto;

import lombok.Data;

import java.util.Date;

/**
* @author 张超
* @date  2023-08-18
*/
@Data
public class MessageDTO {

    private Long id;
    /**
    *消息类型
    */
    private Integer msgType;
    /**
     * 业务类型
     */
    private String  businessType;
    /**
    *消息标题
    */
    private String msgTitle;
    /**
    *消息内容
    */
    private String msgContent;
    /**
    *该条消息绑定的业务数据id
    */
    private String objectId;
    /**
    *接收人用户id
    */
    private Long receiveUserId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
    *阅读状态
    */
    private Boolean readStatus;
    /**
    *处理状态
    */
    private Boolean dealStatus;
    /**
     * 创建时间
     */
    private Date createTime;

}
