package com.inkasso.factoring.system.permission.model.request;

import lombok.Data;

import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-31
*/
@Data
public class AddPermissionRequest {


    /**
    *权限名字
    */
    @Size(max=255,message="权限名字长度不能超过{max}位")
    private String name;

    /**
    *权限code
    */
    @Size(max=255,message="权限code长度不能超过{max}位")
    private String code;

    /**
    *模块名字
    */
    @Size(max=255,message="模块名字长度不能超过{max}位")
    private String moduleName;

    /**
    *模块code
    */
    @Size(max=255,message="模块code长度不能超过{max}位")
    private String moduleCode;

    /**
    *路径
    */
    @Size(max=255,message="路径长度不能超过{max}位")
    private String url;

    /**
    *请求方式
    */
    @Size(max=50,message="请求方式长度不能超过{max}位")
    private String method;

    /**
    *是否必要校验
    */
    private Boolean requiredCheck;

}
