package com.inkasso.factoring.system.resource.entity;


import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-19
*/
@Getter
@Setter
@TableName("kfb_sys_resource")
public class ResourceDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 资源名称
    */

    @TableField("name")
    private String name;

    /**
    * 资源父id
    */

    @TableField("pid")
    private Long pid;

    /**
    * 资源code
    */

    @TableField("code")
    private String code;

    /**
    * 排序
    */

    @TableField("sort")
    private Integer sort;


    /**
     * 租户id
     */
    @TableField("tenant_id")
    private Long tenantId;

}
