package com.inkasso.factoring.system.resource.model.dto;

import com.inkasso.adapter.tree.TreeNode;
import lombok.Data;

import java.util.List;

/**
* @author 张超
* @date  2023-08-19
*/
@Data
public class ResourceTreeDTO implements TreeNode {

    private Long id;

    /**
    *资源名称
    */
    private String name;
    /**
    *资源父id
    */
    private Long pid;
    /**
    *资源code
    */
    private String code;
    /**
    *排序
    */
    private Integer sort;

    /**
     * 子节点
     */
    private List children;
}
