package com.inkasso.factoring.system.role.entity;


import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-19
*/
@Getter
@Setter
@TableName("kfb_sys_role_resource")
public class RoleResourceDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 角色id
    */

    @TableField("role_id")
    private Long roleId;

    /**
    * 资源id
    */

    @TableField("resource_id")
    private Long resourceId;

    /**
     * 租户id
     */
    @TableField("tenant_id")
    private Long tenantId;

}
