package com.inkasso.factoring.system.role.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-15
*/
@Data
public class EditRoleRequest {

    @NotNull
    private Long id;
    /**
    * 角色名称
    */
    @Size(max=255,message="角色名称长度不能超过{max}位")
    private String name;
    /**
    * 角色code
    */
    @Size(max=255,message="角色code长度不能超过{max}位")
    private String code;
    /**
    * 租户id
    */
    private Long tenantId;

}
