package com.inkasso.factoring.system.role.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.system.role.entity.RoleResourceDO;
import com.inkasso.factoring.system.role.model.dto.RoleResourceDTO;
import com.inkasso.factoring.system.role.model.request.AddRoleResourceRequest;
import com.inkasso.factoring.system.role.model.request.EditRoleResourceRequest;

/**
* @author 张超
* @date  2023-08-19
*/
  public interface RoleResourceService extends IService<RoleResourceDO> {

  /**
  * 添加操作
  * @param addRoleResourceRequest
  */
  void addRoleResource(AddRoleResourceRequest addRoleResourceRequest);


  /**
  * 编辑操作
  * @param editRoleResourceRequest
  */
  void editRoleResource(EditRoleResourceRequest editRoleResourceRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    RoleResourceDTO getById(Long id);

  /**
  * 删除
  */
  void deleteRoleResource(Long id);


}

