package com.inkasso.factoring.system.suggestion.entity;

import java.util.Date;

import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-31
*/
@Getter
@Setter
@TableName("kfb_sys_suggestion")
public class SuggestionDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;

    /**
    * 租户id
    */

    @TableField("tenant_id")
    private Long tenantId;

    /**
    * 用户id
    */

    @TableField("user_id")
    private Long userId;

    /**
    * 内容
    */

    @TableField("content")
    private String content;


    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;


}
