package com.inkasso.factoring.system.user.entity;


import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-19
*/
@Getter
@Setter
@TableName("kfb_sys_user_role")
public class UserRoleDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 租户id
    */

    @TableField("tenant_id")
    private Long tenantId;

    /**
    * 用户id
    */

    @TableField("user_id")
    private Long userId;

    /**
    * 角色id
    */

    @TableField("role_id")
    private Long roleId;

}
