package com.inkasso.factoring.system.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.system.user.entity.UserRoleDO;
import com.inkasso.factoring.system.user.model.request.AddUserRoleRequest;
import com.inkasso.factoring.system.user.model.request.EditUserRoleRequest;

/**
* @author 张超
* @date  2023-08-19
*/
  public interface UserRoleService extends IService<UserRoleDO> {

  /**
  * 添加操作
  * @param addUserRoleRequest
  */
  void addUserRole(AddUserRoleRequest addUserRoleRequest);


  /**
  * 编辑操作
  * @param editUserRoleRequest
  */
  void editUserRole(EditUserRoleRequest editUserRoleRequest);



  /**
  * 删除
  */
  void deleteUserRole(Long id);
}

