package com.inkasso.factoring.tradingPlatform.web;

import com.inkasso.auth.response.ResponseJson;
import com.inkasso.factoring.tradingPlatform.service.ITradingPlatformService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @Description 贸易平台从controller
 * @Author Yafan Wang
 * @Date 2023/12/25 19:42
 */
@Controller
@RequestMapping("/platform")
public class PlatformController {

    @Autowired
    private ITradingPlatformService platformService;

    @RequestMapping("/getAll")
    @ResponseBody
    public ResponseJson getAll() {
        return new ResponseJson(platformService.list());
    }

}
