package com.inkasso.management.statistics.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;
import lombok.Getter;
import lombok.Setter;


/**
* @author 张超
* @Date  2023-08-25
*/
@Getter
@Setter
@TableName("management_system_interface_use")
public class InterfaceStatisticsDO extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**-
    * 企查查/中交兴路/柠檬查/蓝本架/至信
    */
    @TableField("type")
    private String type;
    /**
    * 接口名称
    */
    @TableField("name")
    private String name;
    /**
    * 接口地址
    */
    @TableField("url")
    private String url;
    /**
    * 请求参数
    */
    @TableField("params")
    private String params;
    /**
    * 返回结果
    */
    @TableField("result")
    private String result;
    /**
    * 0失败 1 成功
    */
    @TableField("status")
    private Boolean status;
    /**
    * 0未处理  1 已处理
    */
    @TableField("deal_status")
    private Boolean dealStatus;

}
