package com.inkasso.management.statistics.model.dto;

import java.util.Date;
import lombok.Data;

/**
* @author 张超
* @date  2023-08-25
*/
@Data
public class InterfaceStatisticsDTO {

    private Long id;

    /**
    *企查查/中交兴路/柠檬查/蓝本架/至信
    */
    private String type;
    /**
    *接口名称
    */
    private String name;
    /**
    *接口地址
    */
    private String url;
    /**
    *请求参数
    */
    private Long params;
    /**
    *返回结果
    */
    private Long result;
    /**
    *0失败 1 成功
    */
    private Boolean status;
    /**
    *0未处理  1 已处理
    */
    private Boolean dealStatus;
    /**
    *创建人名称id
    */
    private Long createUserId;
    /**
    *修改人名称id
    */
    private Long updateUserId;
    /**
    *创建人名称
    */
    private String createUserName;
    /**
    *修改人名称
    */
    private String updateUserName;
    /**
    *创建时间
    */
    private Date createTime;
    /**
    *修改时间
    */
    private Date updateTime;

}
