package com.inkasso.management.statistics.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import com.inkasso.adapter.service.query.Like;
import lombok.Setter;
import lombok.Getter;

import java.util.Date;
/**
* @author 张超
* @date  2023-08-25
*/
@Getter
@Setter
public class QueryInterfaceStatisticsRequest extends PageQuery {

        /**
        *企查查/中交兴路/柠檬查/蓝本架/至信
        */
        @Equals
        private String type;
        /**
        *接口名称
        */
        @Equals
        private String name;
        /**
        *接口地址
        */
        @Equals
        private String url;
        /**
        *请求参数
        */
        @Equals
        private String params;
        /**
        *返回结果
        */
        @Equals
        private String result;
        /**
        *0失败 1 成功
        */
        @Equals
        private Boolean status;
        /**
        *0未处理  1 已处理
        */
        @Equals
        private Boolean dealStatus;
}
