package com.inkasso.management.user.model.request;

import lombok.Data;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-24
*/
@Data
public class EditBackendUserRequest {

    @NotNull
    private Long id;
    /**
    * 用户名
    */
    @Size(max=255,message="用户名长度不能超过{max}位")
    private String username;
    /**
    * 密码
    */
    @Size(max=255,message="密码长度不能超过{max}位")
    private String password;
    /**
    * 名字
    */
    @Size(max=255,message="名字长度不能超过{max}位")
    private String name;

}
