package ${code.packageName}.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import com.inkasso.adapter.service.query.Like;
import lombok.Setter;
import lombok.Getter;

<#list code.propertys as property>
<#if property.type = 'Date'>
import java.util.Date;
<#break>
</#if>
</#list>
/**
* @author ${code.author}
* @date  ${.now?string('yyyy-MM-dd')}
*/
@Getter
@Setter
public class Query${code.className}Request extends PageQuery {

<#list code.propertys as property>
    <#if property.name = 'create_user_id' || property.name= 'create_user_name' || property.name= 'create_time' || property.name= 'update_user_id' || property.name= 'update_user_name' || property.name= 'update_time' || property.name= 'delete_flag' || property.name= 'version'>
        <#continue>
    </#if>
    <#if property.type = 'Text'>
        <#if property.conditionType = 'LK'>
        /**
          *${property.label}
          */
        @Like
        </#if>
        private String ${property.name};
    <#else>
        <#if property.conditionType = 'LK'>
        /**
        *${property.label}
        */
        @Like
        private ${property.type} ${property.name};
        </#if>
        <#if property.conditionType = 'EQ'>
        /**
        *${property.label}
        */
        @Equals
        private ${property.type} ${property.name};
        </#if>
    </#if>
</#list>
}
