package com.inkasso.factoring.acceptanceManagement.service;

import com.inkasso.factoring.acceptanceManagement.entity.CAcceptanceSignConfirmationGoodsInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 下游验收单-签署确认货物信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-30
 */
public interface ICAcceptanceSignConfirmationGoodsInfoService extends IService<CAcceptanceSignConfirmationGoodsInfo> {

    /**
     * 获取模板中的货物
     *
     * @param file
     * @return
     */
    List<CAcceptanceSignConfirmationGoodsInfo> importGoodsInfo(MultipartFile file);
}
