package com.inkasso.factoring.acceptanceManagement.service;

import com.inkasso.auth.response.ResponseJson;
import com.inkasso.factoring.acceptanceManagement.entity.CAcceptanceSignConfirmation;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 验收单签署确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-30
 */
public interface ICAcceptanceSignConfirmationService extends IService<CAcceptanceSignConfirmation> {


    /**
     * 签署确认
     * @param acceptanceSignConfirmation
     */
    ResponseJson signConfirm(CAcceptanceSignConfirmation acceptanceSignConfirmation);

    /**
     * 获取签署确认信息
     * @param businessKey
     * @return
     */
    CAcceptanceSignConfirmation getDetail(Long businessKey);

}
