package com.inkasso.factoring.businessConsulting.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import com.inkasso.adapter.service.query.Like;
import lombok.Setter;
import lombok.Getter;

import java.util.Date;
/**
* @author liutao
* @date  2024-03-30
*/
@Getter
@Setter
public class QueryBusinessConsultingRequest extends PageQuery {

        /**
        *企业名称
        */
        @Equals
        private String enterpriceCn;
        /**
        *联系人
        */
        @Equals
        private String contactName;
        /**
        *联系人职务
        */
        @Equals
        private String contactPost;
        /**
        *工作邮箱
        */
        @Equals
        private String email;
        /**
        *手机号（大陆)
        */
        @Equals
        private String phoneNumber;
        /**
        *企业类型
        */
        @Equals
        private String enterpriseType;
        /**
        *主营品类
        */
        @Equals
        private String mainCategories;
        /**
        *年销售额（万元）
        */
        @Equals
        private String annualSalesRevenue;
        /**
        *主要客户
        */
        @Equals
        private String mainCustomers;
        /**
        *预估账期
        */
        @Equals
        private String estimatedAccountingPeriod;
        /**
        *应收余额（万元）
        */
        @Equals
        private String accountsReceivableBalance;
        /**
        *信息内容
        */
        @Equals
        private String infoContent;
        /**
        *创建时间
        */
        @Equals
        private Date gmtCreate;
}
