package com.inkasso.factoring.credit.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.factoring.common.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CreditInfo extends BaseEntity {

    //名称
    private String name;

    //类型，0：个人，1：企业
    private Integer type;

    //证件类型
    private Integer documentType;

    //证件号码
    private String cardNo;

    //手机号码
    private String phone;

    //最近征信查询时间
    private Date searchDate;

    //授权书地址
    @TableField(exist = false)
    private String authAddress;

    //征信地址
    @TableField(exist = false)
    private String creditAddress;

    //征信详情
    @TableField(exist = false)
    private List<CreditDetail> creditDetails;


}
