package com.inkasso.factoring.file.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotBlank;

/**
 * 文件存储
 */
@TableName("t_file_storage")
@Getter
@Setter
public class FileStorage extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 文件类型
     */
    @TableField("fileType")
    private String fileType;

    @TableField("name")
    private String name;

    @TableField("originalName")
    private String originalName;

    @TableField("path")
    private String path;

    @TableField("absolutePath")
    private String absolutePath;

    @TableField("size")
    private long size;

    @TableField("belongId")
    private String belongId;

    @TableField("belongType")
    private String belongType;



}
