package com.inkasso.factoring.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.file.entity.FileStorage;
import com.inkasso.factoring.file.entity.SysAttachmentRef;
import com.inkasso.factoring.file.model.dto.AttachmentDto;
import java.util.List;

/**
 * <p>
 * 通用附件关系表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-02-28
 */
public interface ISysAttachmentRefService extends IService<SysAttachmentRef> {

    /**
     * 获取文件集合
     *
     * @return
     */
    List<FileStorage> getFiles(AttachmentDto attachmentDto);


}
