package com.inkasso.factoring.financingmanagement.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.financingmanagement.entity.CFinancingGoodsInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 融资申请-货物信息表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */

@Mapper
public interface CFinancingGoodsInfoMapper extends BaseMapper<CFinancingGoodsInfo> {

    /**
     * 根据验收单id获取底层货物
     *
     * @param acceptanceBasicInfoId
     * @return
     */
    List<CFinancingGoodsInfo> listByAcceptanceId(Long acceptanceBasicInfoId);
}
