package com.inkasso.factoring.org.model.request;

import lombok.Data;
import java.util.Date;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 
* @date  2023-10-13
*/
@Data
public class EditClickLogRequest {

    @NotNull
    private Long id;
    /**
    * 用户id
    */
    private Long userId;
    /**
    * 来源
    */
    @Size(max=255,message="来源长度不能超过{max}位")
    private String source;
    /**
    * 创建时间
    */
    @NotNull(message="创建时间不能为空")
    private Date createTime;

}
