package com.inkasso.factoring.org.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
/**
* @author liutao
* @date  2023-09-07
*/
@Getter
@Setter
public class QueryOrgRequest extends PageQuery {

        /**
        *父级组织机构id
        */
        @Equals
        private Long parentId;
        /**
        *组织机构类型id
        */
        @Equals
        private Long orgTypeId;
        /**
        *组织机构级别id
        */
        @Equals
        private Long orgLevelId;
        /**
        *名称
        */
        @Equals
        private String name;
        /**
        *组织机构编码
        */
        @Equals
        private String deptCode;
        /**
        *内置编码
        */
        @Equals
        private String internalCode;
        /**
        *子组织机构最大数
        */
        @Equals
        private Integer subCountMax;
        /**
        *子组织机构数
        */
        @Equals
        private Integer subCount;
        /**
        *显示顺序
        */
        @Equals
        private Integer gradation;
        /**
        *简拼
        */
        @Equals
        private String simplePinYin;
        /**
        *全拼
        */
        @Equals
        private String fullPinYin;
        /**
        *备注
        */
        @Equals
        private String remark;
        /**
        *创建人
        */
        @Equals
        private String user_create;
        /**
        *创建时间
        */
        @Equals
        private Date gmt_create;
        /**
        *修改人
        */
        @Equals
        private String user_modified;
        /**
        *修改时间
        */
        @Equals
        private Date gmt_modified;
}
