package com.inkasso.factoring.purchManagement.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.purchManagement.entity.CPurchContractBasicInfo;
import com.inkasso.factoring.purchManagement.entity.vo.CPushContractInfoVo;

import java.util.List;
import com.inkasso.factoring.purchManagement.entity.CPurchContractManagement;
import com.inkasso.factoring.purchManagement.entity.vo.PurchContractBasciVo;
import com.inkasso.factoring.purchManagement.entity.vo.PurchContractCompletedVo;
import com.inkasso.factoring.salesManagement.entity.SearchSalesBasic;
import com.inkasso.factoring.salesManagement.entity.vo.SalesContractListVo;

import java.util.List;

/**
 * <p>
 * 采购合同管理表 Mapper 接口
 * </p>
 *
 * @author yafan
 * @since 2023-12-02
 */
public interface CPurchContractManagementMapper extends BaseMapper<CPurchContractManagement> {

    PurchContractCompletedVo getCompletedPurchContractByBusinessNumber(Long userId, String businessNumber);

    List<CPushContractInfoVo> findContractInfo();

    List<CPurchContractBasicInfo> findBySearch(SearchSalesBasic searchSalesBasic);

}
