package com.inkasso.factoring.purchManagement.service;

import com.inkasso.factoring.purchManagement.entity.CPurchContractBasicInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.purchManagement.entity.CPurchContractRetentionInfo;

/**
 * <p>
 * 采购合同-基本信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-02
 */
public interface ICPurchContractBasicInfoService extends IService<CPurchContractBasicInfo> {

    CPurchContractBasicInfo findByBusinessNumberAndSupplierId(String businessNumber, Long supplierId);

    CPurchContractBasicInfo getLatestBasicInfo(Long id, String pass);
}
