package com.inkasso.factoring.purchManagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.creditmanagement.entity.ProjectInformation;
import com.inkasso.factoring.purchManagement.entity.CPurchContractBasicInfo;
import com.inkasso.factoring.purchManagement.entity.CPurchContractManagement;
import com.inkasso.factoring.purchManagement.entity.CPurchContractSupplementElectronicInfo;
import com.inkasso.factoring.purchManagement.entity.CPurchContractSupplementInfo;
import com.inkasso.factoring.purchManagement.entity.vo.PurchContractSupplementSignConfirmVo;
import com.inkasso.factoring.tradingPlatform.entity.Platform;

import java.io.File;
import java.io.IOException;

/**
 * <p>
 * 采购合同-补充电子合同信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-15
 */
public interface ICPurchContractSupplementElectronicInfoService extends IService<CPurchContractSupplementElectronicInfo> {

    PurchContractSupplementSignConfirmVo doSign(Long businessKey) throws IOException;

    File makePurchContractDocx(CPurchContractManagement purchContractManagement, CPurchContractBasicInfo purchContractBasicInfo, ProjectInformation projectInformation,
                               Platform platform, CPurchContractSupplementInfo supplementInfo, String otherConvention) throws IOException;


}
