package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesContractPersonInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 销售合同-人员信息 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesContractPersonInfoService extends IService<CSalesContractPersonInfo> {

    /**
     * 获取验收经办人和结算经办人
     * @param salesManagementId
     * @return
     */
    List<CSalesContractPersonInfo> getAcceptanceSettlementPerson(Long salesManagementId);


    List<CSalesContractPersonInfo>  findSettlementAgentInfoByType(String type);
}
