package com.inkasso.factoring.salesManagement.service;

import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 销售合同变更信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesContractSupplementInfoService extends IService<CSalesContractSupplementInfo> {


    /**
     * 变更页
     * @param managementId
     * @return
     */
    CSalesContractSupplementInfo add(Long managementId);

    /**
     * 变更
     *
     * @param salesContractSupplementInfo
     * @return
     */
    void doChange(CSalesContractSupplementInfo salesContractSupplementInfo);

    /**
     * 详情
     * @param managementId
     * @return
     */
    CSalesContractSupplementInfo getView(Long id);

}
