package com.inkasso.factoring.salesManagement.service.impl;

import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementGoodsInfo;
import com.inkasso.factoring.salesManagement.dao.CSalesContractSupplementGoodsInfoMapper;
import com.inkasso.factoring.salesManagement.service.ICSalesContractSupplementGoodsInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 销售合同变更-货物信息表 服务实现类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@Service
public class CSalesContractSupplementGoodsInfoServiceImpl extends ServiceImpl<CSalesContractSupplementGoodsInfoMapper, CSalesContractSupplementGoodsInfo> implements ICSalesContractSupplementGoodsInfoService {

    @Override
    public List<CSalesContractSupplementGoodsInfo> getGoodsInfosWithSupplementGoods(Long salesContractManagementId, Long salasContractBasicId) {
        return getBaseMapper().getGoodsInfosWithSupplementGoods(salesContractManagementId,salasContractBasicId);
    }
}
