package com.inkasso.factoring.steelwaiter.dao;

import com.inkasso.factoring.steelwaiter.entity.SellBill;
import com.inkasso.factoring.steelwaiter.entity.SellBillItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author liutao
 * @Date 2023/12/21 15:08
 */
@Mapper
public interface SteelWaiterMapper {


    List<String> findAllBillNumbers(@Param("supplierName")String supplierName, @Param("keyword")String keyword);

    List<SellBillItem> getGoodsByBillNumber(@Param("billNumber") String billNumber, @Param("companyName") String companyName);

    SellBill getBillByBillNumber(@Param("billNumber") String billNumber, @Param("companyName") String companyName);
}
