package com.inkasso.factoring.system.message.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.inkasso.factoring.system.message.entity.MessageDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.system.message.model.dto.MessageDTO;
import com.inkasso.factoring.system.message.model.request.QueryMessageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 张超
* @date  2023-08-18
*/
public interface MessageDAO extends BaseMapper<MessageDO> {

    void  batchUpdateStatus(Long userId);

    List<MessageDO> findVehicleLeaderMessage(QueryMessageRequest queryMessageRequest);


    Page<MessageDTO> pageQuery(Page page,@Param("queryMessageRequest") QueryMessageRequest queryMessageRequest);
}