package com.inkasso.factoring.system.message.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Setter;
import lombok.Getter;

import java.util.Date;

/**
* @author 张超
* @date  2023-08-18
*/
@Getter
@Setter
public class QueryMessageRequest extends PageQuery {

        /**
        *消息类型
        */
        @Equals(table_filed = "msg_type")
        private Integer msgType;
        /**
        *接收人用户id
        */
        @Equals(table_filed = "receive_user_id")
        private Long receiveUserId;


        @Equals(table_filed = "tenant_id")
        private Long tenantId;
        /**
        *阅读状态
        */
        private Boolean readStatus;
        /**
         * 处理状态
         */
        private Boolean dealStatus;
        /**
         *起始日期
         */
        private Date beginDate;
        /**
         *结束日期
         */
        private Date endDate;
        /**
         *业务类型
         */
        private String businessType;

}
