package com.inkasso.factoring.system.permission.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Setter;
import lombok.Getter;

/**
* @author 张超
* @date  2023-08-31
*/
@Getter
@Setter
public class QueryPermissionRequest extends PageQuery {

        /**
        *权限名字
        */
        @Equals
        private String name;
        /**
        *权限code
        */
        @Equals
        private String code;
        /**
        *模块名字
        */
        @Equals
        private String moduleName;
        /**
        *模块code
        */
        @Equals
        private String moduleCode;
        /**
        *路径
        */
        @Equals
        private String url;
        /**
        *请求方式
        */
        @Equals
        private String method;
        /**
        *是否必要校验
        */
        @Equals
        private Boolean requiredCheck;
}
