package com.inkasso.factoring.system.resource.dao;

import com.inkasso.factoring.system.resource.entity.ResourceDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.system.resource.model.dto.ResourceDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 张超
* @date  2023-08-19
*/
public interface ResourceDAO extends BaseMapper<ResourceDO> {

    List<ResourceDTO> getResourceById(@Param("userId") Long userId, @Param("tenantId") Long tenantId);

    /**
     * 通过角色id 查询资源
     * @param roleId
     * @return
     */
    List<ResourceDTO> getResourceByRoleId(Long roleId);
}