package com.inkasso.factoring.system.resource.model.request;

import lombok.Data;

import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-19
*/
@Data
public class AddResourceRequest {


    /**
    *资源名称
    */
    @Size(max=255,message="资源名称长度不能超过{max}位")
    private String name;

    /**
    *资源父id
    */
    private Long pid;

    /**
    *资源code
    */
    @Size(max=255,message="资源code长度不能超过{max}位")
    private String code;

    /**
    *排序
    */
    private Integer sort;

}
