package com.inkasso.factoring.system.suggestion.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-31
*/
@Data
public class EditSuggestionRequest {

    @NotNull
    private Long id;
    /**
    * 租户id
    */
    private Long tenant_id;
    /**
    * 用户id
    */
    @NotNull(message="用户id不能为空")
    private Long user_id;
    /**
    * 内容
    */
    @Size(max=500,message="内容长度不能超过{max}位")
    private String content;

}
