package com.inkasso.factoring.system.suggestion.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Setter;
import lombok.Getter;

/**
* @author 张超
* @date  2023-08-31
*/
@Getter
@Setter
public class QuerySuggestionRequest extends PageQuery {

        /**
        *租户id
        */
        @Equals
        private Long tenantId;
        /**
        *用户id
        */
        @Equals
        private Long userId;
        /**
        *内容
        */
        @Equals
        private String content;
}
