package com.inkasso.factoring.system.suggestion.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.system.suggestion.entity.SuggestionDO;
import com.inkasso.factoring.system.suggestion.model.dto.SuggestionDTO;
import com.inkasso.factoring.system.suggestion.model.request.AddSuggestionRequest;
import com.inkasso.factoring.system.suggestion.model.request.EditSuggestionRequest;

/**
* @author 张超
* @date  2023-08-31
*/
  public interface SuggestionService extends IService<SuggestionDO> {

  /**
  * 添加操作
  * @param addSuggestionRequest
  */
  void addSuggestion(AddSuggestionRequest addSuggestionRequest);


  /**
  * 编辑操作
  * @param editSuggestionRequest
  */
  void editSuggestion(EditSuggestionRequest editSuggestionRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    SuggestionDTO getSuggestionDtoById(Long id);

  /**
  * 删除
  */
  void deleteSuggestion(Long id);
}

