package com.inkasso.factoring.system.user.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.system.user.entity.UserDO;

/**
 * @author 张超
 * @date 2023-08-15
 */
public interface UserDAO extends BaseMapper<UserDO> {

    /**
     * 根据推荐码查询B端用户Id
     *
     * @param referralCode
     * @return
     */
    Long getBackendUserIdByReferralCode(String referralCode);
}
