package com.inkasso.factoring.system.user.entity;

import java.util.Date;

import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-17
*/
@Getter
@Setter
@TableName("kfb_sys_user_wxaccount")
public class WxAccountDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 微信小程序唯一标识
    */

    @TableField("open_id")
    private String openId;

    /**
    * 微信小程序/公众号公用的唯一标识
    */

    @TableField("union_id")
    private String unionId;

    /**
    * 用户id
    */

    @TableField("user_id")
    private Long userId;

    /**
    * 注册时间
    */

    @TableField("register_time")
    private Date registerTime;

}
