package com.inkasso.factoring.system.user.model.request;

import lombok.Data;
import java.util.Date;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-17
*/
@Data
public class EditWxAccountRequest {

    @NotNull
    private Long id;
    /**
    * 微信小程序唯一标识
    */
    @Size(max=50,message="微信小程序唯一标识长度不能超过{max}位")
    private String openId;
    /**
    * 微信小程序/公众号公用的唯一标识
    */
    @Size(max=20,message="微信小程序/公众号公用的唯一标识长度不能超过{max}位")
    private String unionId;
    /**
    * 用户id
    */
    private Long userId;
    /**
    * 注册时间
    */
    private Date registerTime;

}
