package com.inkasso.factoring.system.user.model.request;

import com.inkasso.adapter.page.PageQuery;
import lombok.Getter;
import lombok.Setter;
/**
* @author 张超
* @date  2023-08-15
*/
@Getter
@Setter
public class QueryUserRequest extends PageQuery {

        /**
         * 登录名
         */
        private String loginName;

        /**
         * 密码
         */
        private String password;

        /**
         * 手机号
         */
        private String mobile;

        /**
         * 企业邮箱
         */
        private String email;

        /**
         * 头像图片链接
         */
        private String headImgUrl;

        /**
         * 企业地址
         */
        private String enterpriseAddress;

        /**
         * 推荐码
         */
        private String referralCode;

}
