package com.inkasso.factoring.system.user.model.request;

import com.inkasso.adapter.page.PageQuery;
import com.inkasso.adapter.service.query.Equals;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
/**
* @author 张超
* @date  2023-08-17
*/
@Setter
@Getter
public class QueryWxAccountRequest extends PageQuery {

        /**
        *微信小程序唯一标识
        */
        @Equals
        private String openId;
        /**
        *微信小程序/公众号公用的唯一标识
        */
        @Equals
        private String unionId;
        /**
        *用户id
        */
        @Equals
        private Long userId;
        /**
        *注册时间
        */
        @Equals
        private Date registerTime;
}
