package com.inkasso.factoring.system.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.system.user.entity.WxAccountDO;
import com.inkasso.factoring.system.user.model.request.AddWxAccountRequest;
import com.inkasso.factoring.system.user.model.request.EditWxAccountRequest;

/**
* @author 张超
* @date  2023-08-17
*/
  public interface WxAccountService extends IService<WxAccountDO> {

  /**
  * 添加操作
  * @param addWxAccountRequest
  */
  void addWxAccount(AddWxAccountRequest addWxAccountRequest);


  /**
  * 编辑操作
  * @param editWxAccountRequest
  */
  void editWxAccount(EditWxAccountRequest editWxAccountRequest);


  /**
   *
   * @param openId
   * @return
   */
    WxAccountDO getByOpenId(String openId);

  /**
  * 删除
  */
  void deleteWxAccount(Long id);
}

