package com.inkasso.management.statistics.model.request;

import java.util.Date;
import lombok.Data;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
* @author 张超
* @date  2023-08-25
*/
@Data
public class AddInterfaceStatisticsRequest {


    /**
    *企查查/中交兴路/柠檬查/蓝本架/至信
    */
    @Size(max=255,message="企查查/中交兴路/柠檬查/蓝本架/至信长度不能超过{max}位")
    private String type;

    /**
    *接口名称
    */
    @Size(max=255,message="接口名称长度不能超过{max}位")
    private String name;

    /**
    *接口地址
    */
    @Size(max=255,message="接口地址长度不能超过{max}位")
    private String url;

    /**
    *请求参数
    */
    private String params;

    /**
    *返回结果
    */
    private String result;

    /**
    *0失败 1 成功
    */
    private Boolean status;

    /**
    *0未处理  1 已处理
    */
    private Boolean dealStatus;







}
