package com.inkasso.management.statistics.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.adapter.service.KafubaoService;
import com.inkasso.management.statistics.entity.InterfaceStatisticsDO;
import com.inkasso.management.statistics.model.dto.InterfaceStatisticsDTO;
import com.inkasso.management.statistics.model.request.AddInterfaceStatisticsRequest;
import com.inkasso.management.statistics.model.request.EditInterfaceStatisticsRequest;

/**
* @author 张超
* @date  2023-08-25
*/
  public interface InterfaceStatisticsService extends KafubaoService<InterfaceStatisticsDO,InterfaceStatisticsDTO> {

  /**
  * 添加操作
  * @param addInterfaceStatisticsRequest
  */
  void addInterfaceStatistics(AddInterfaceStatisticsRequest addInterfaceStatisticsRequest);


  /**
  * 编辑操作
  * @param editInterfaceStatisticsRequest
  */
  void editInterfaceStatistics(EditInterfaceStatisticsRequest editInterfaceStatisticsRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    InterfaceStatisticsDTO getInterfaceStatisticsDtoById(Long id);

  /**
  * 删除demo
  */
  void deleteInterfaceStatistics(Long id);
  }

