package com.inkasso.management.user.entity;


import com.inkasso.adapter.bean.RelationBaseBean;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Setter;
import lombok.Getter;


/**
* @author 张超
* @date  2023-08-24
*/
@Getter
@Setter
@TableName("management_system_user")
public class BackendUserDO extends RelationBaseBean {

    private static final long serialVersionUID = 1L;


    /**
    * 用户名
    */

    @TableField("username")
    private String username;

    /**
    * 密码
    */

    @TableField("password")
    private String password;

    /**
    * 名字
    */

    @TableField("name")
    private String name;

}
